$(document).ready(function() {

    function capitalize(s){
        return s.replace( /\b./g, function(a){ return a.toUpperCase(); } );
    };

    function generate_user_name() {
        var first_name = $('.registration .item-first_name input').val();
        var last_name = $('.registration .item-last_name input').val();
        var user_name = capitalize(first_name) + capitalize(last_name);
        return user_name.replace( /\s/g, '')
    };

  	// autocomplete of the username (registration form)

  	//$('.registration .item-user_name input').val( generate_user_name() );
	$('.registration .item-first_name input').keyup(function() {
		$('.registration .item-user_name input').val( generate_user_name() );
	});
	$('.registration .item-last_name input').keyup(function() {
		$('.registration .item-user_name input').val( generate_user_name() );
	});



  	// "dispatch" clicking a th to the corresponding anchor
  	$('th.sortable').click( function() {
    	window.location = $(this).children('a').attr('href');
  	});

  	// "dispatch" clicking list item in collapse to the corresponding anchor
  	$('.accordion li').click( function() {
    	window.location = $(this).children('a').attr('href');
  	});

  	// the mark all
 	$('input[name="mark_all"]').click(function()	{
		var checked_status = this.checked;
		$('input[name*="marked"]').each(function() {
			this.checked = checked_status;
		});
		if( $('input[name="mark_all"]').is(':checked') && $('.marking-needed').is(':hidden') ) {
  			$('.marking-needed').fadeIn("fast");
  		} else if( $('input[name="mark_all"]').is(':checked') && $('.marking-needed').is(':visible') ) {
  			// do nothing
  		} else {
  			$('.marking-needed').fadeOut("fast");
  		}
	});

  	// show actions only if some data is marked
  	$('input[name="marked"]').change(function() {
  		if( $('input[name*="marked"]').is(':checked') ) {
  			if( $('.marking-needed').is(':hidden') )
  				$('.marking-needed').fadeIn("slow");
  		} else {
  			$('.marking-needed').fadeOut("slow");
  		}
	});

  	// quick-actions
  	$('.quick-action a[data-value]').click(function(event) {
  		event.preventDefault();
  		var value = $(this).attr('data-value');
  		var action = $(this).closest('div').attr('data-action');
  		$('select[name*='+action+']').each(function() {
			$(this).val(value);
		});
  	});

  	// submit search
  	$('.search-form input[type="search"]').keypress(function(event) {
  		if( event.keyCode == 13 && $('.typeahead.dropdown-menu').is(':hidden') )
  			$('.search-form').submit();
  	});

  	// aside filter
  	$('.filter input[type="checkbox"]').click( function() {
  		if( $(this).is(':checked') ) {
  			$(this).parents('li').addClass('active');
  		} else {
  			$(this).parents('li').removeClass('active');
  		}
  	});

	// tooltips
	$('.page-controls').tooltip({
		selector: "[rel=tooltip]"
	});

	// calculator
	if ( $('.item-unit_price input[name="amount"]').length ) {
		if( $('.item-unit_price input[name="amount"]').val() != '' && $('input[name="quantity"]').val() != '' ){
			var total = $('.item-unit_price input[name="amount"]').val().replace(",", "") * $('input[name="quantity"]').val();
			total = Math.round(total*100)/100;
			$('.item-total_price input[name="amount"]').attr( 'value', total );
		}
		$('.item-unit_price input[name="amount"], input[name="quantity"]').keyup(function() {
			var total = $('.item-unit_price input[name="amount"]').val().replace(",", "") * $('input[name="quantity"]').val();
			total = Math.round(total*100)/100;
			$('.item-total_price input[name="amount"]').attr( 'value', total );
		});
	}

	if ( $('.item-unit_price input[name="currency"]').length ) {
		// added currency to total price
		if( $('.item-unit_price input[name="currency"]').val() != '' ){
			$('.item-total_price input[name="currency"]').attr( 'value', $('.item-unit_price input[name="currency"]').val() );
		}
		$('.item-unit_price input[name="currency"]').keyup(function() {
			$('.item-total_price input[name="currency"]').attr( 'value', $('.item-unit_price input[name="currency"]').val() );
		});
			$('.item-unit_price input[name="currency"]').change(function() {
			$('.item-total_price input[name="currency"]').attr( 'value', $('.item-unit_price input[name="currency"]').val() );
		});
	}

 });
